Bug 431414 - Review Request: planets - A celestial simulator
Review Request: planets - A celestial simulator
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-04 06:06 EST by Jon Ciesla
Modified: 2010-07-08 08:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 13:24:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2008-02-04 06:06:57 EST
Spec URL: http://zanoni.jcomserv.net/fedora/planets/planets.spec
SRPM URL: http://zanoni.jcomserv.net/fedora/planets/planets-0.1.13-1.fc8.src.rpm
Description: Planets is a simple interactive program for playing with simulations
of planetary systems
Comment 1 Parag AN(पराग) 2008-02-04 07:08:41 EST
Drop unnecessary documentation files => BUGS INSTALL_w32.txt FILES BINFILES
INSTALL INSTALL.txt README.txt 

use rpmmacros in %files for man file
/usr/share/man/man1/planets.1.gz
to
%{_mandir}/man1/planets.1.gz
Comment 2 Parag AN(पराग) 2008-02-04 07:16:22 EST
koji build failed for ppc64 because of
No Package Found for ocaml-camlp4-devel
No Package Found for ocaml-labltk-devel
on ppc64

koji build =>http://koji.fedoraproject.org/koji/taskinfo?taskID=394314

You want to follow guidelines given at
http://fedoraproject.org/wiki/Packaging/OCaml#head-d6d0bc21de370e51e9ca9bf5bc543224e2c668d4
Comment 3 Jon Ciesla 2008-02-04 07:29:45 EST
Hmm, looks like ExcludeArch: ppc64 might be in order.  Concur?
Comment 4 Parag AN(पराग) 2008-02-05 03:06:22 EST
As this package uses ocaml, I think good to follow same what ocaml used in SPEC =>
ExclusiveArch:  alpha armv4l %{ix86} ia64 x86_64 ppc sparc
Comment 5 Jon Ciesla 2008-02-05 06:13:31 EST
Agreed. All of the above addressed, see original URLs.  NVR not incremented.
Comment 6 Parag AN(पराग) 2008-02-05 07:06:16 EST
(In reply to comment #5)
> Agreed. All of the above addressed, see original URLs.  NVR not incremented.
which you should have done actually.....
That will help to differentiate between exiting SRPM I have downloaded and new
one to review it without confusion. Also, Changelog will suggest how review got
progressed with written changes in changelog.
Comment 8 Parag AN(पराग) 2008-02-06 03:53:05 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=398193
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream.
2c72f2469ee0413bd470a2ad84f2f0f8  planets-0.1.13.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honoured correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Desktop file installed correctly
+ GUI app.

APPROVED.
Comment 9 Parag AN(पराग) 2008-02-06 03:55:00 EST
oops missed to modify my review template for scriptlet
+ gtk-update-icon-cache scriptlets are used.
Comment 10 Jon Ciesla 2008-02-06 07:23:29 EST
Thanks for the review!

New Package CVS Request
=======================
Package Name: planets
Short Description: A celestial simulator
Owners: limb
Branches: F-7 F-8
InitialCC: 
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-02-06 12:32:42 EST
cvs done.
Comment 12 Jon Ciesla 2008-02-06 13:24:54 EST
Imported and built.  Thanks all!
Comment 13 Jon Ciesla 2010-07-07 16:28:42 EDT
Package Change Request
======================
Package Name: planets
New Branches: EL-6
Owners: limb
Comment 14 Kevin Fenzi 2010-07-07 21:12:52 EDT
CVS done (by process-cvs-requests.py).
Comment 15 Jon Ciesla 2010-07-08 08:42:57 EDT
Thanks!

Note You need to log in before you can comment on or make changes to this bug.